com.rs.xbrl.instructions.formula

## Class FormulaLink

- java.lang.Object
- - com.rs.xbrl.InstructionAbstract
  - - com.rs.xbrl.instructions.formula.FormulaLink

- All Implemented Interfaces:
    Instruction, InstructionPhase3

      public class FormulaLink
      extends InstructionAbstract
      implements InstructionPhase3

  Implements the functionality to process the FORMULALINK instruction during the generation of formulas.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormulaLink()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executePh3(GenerationContext gc)` Execute ph3.
    `static java.lang.String[]` | `extractParameters(java.lang.String substring)` Extract parameters.
    `static java.lang.String` | `getListSeparator(java.lang.String substring)` Guess the list separator used on this formula.

    - ### Methods inherited from class com.rs.xbrl.InstructionAbstract

      `execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rs.xbrl.Instruction

      `execute`

- - ### Constructor Detail

    - #### FormulaLink

          public FormulaLink()

  - ### Method Detail

    - #### executePh3

          public void executePh3(GenerationContext gc)

      Description copied from interface: `InstructionPhase3`
      Execute ph3.
      Specified by:
        `executePh3` in interface `InstructionPhase3`
      Parameters:
        `gc` - the gc

    - #### extractParameters

          public static java.lang.String[] extractParameters(java.lang.String substring)

      Extract parameters.
      Parameters:
        `substring` - the substring
      Returns:
        the string[]

    - #### getListSeparator

          public static java.lang.String getListSeparator(java.lang.String substring)

      Guess the list separator used on this formula. This is an algorithm based on Locale and the string characters
      Parameters:
        `substring` - the substring
      Returns:
        the list separator